Bug 1747297 (CVE-2019-10384) - CVE-2019-10384 jenkins: CSRF protection tokens for anonymous users did not expire in some circumstances (SECURITY-1491)
Summary: CVE-2019-10384 jenkins: CSRF protection tokens for anonymous users did not ex...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2019-10384
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1747298 1747302 1747303 1747304
Blocks: 1747299
TreeView+ depends on / blocked
 
Reported: 2019-08-30 04:52 UTC by Dhananjay Arunesh
Modified: 2019-11-29 05:28 UTC (History)
16 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-09-20 12:45:38 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:2789 None None None 2019-09-20 10:16:18 UTC
Red Hat Product Errata RHSA-2019:3144 None None None 2019-10-18 01:34:27 UTC

Description Dhananjay Arunesh 2019-08-30 04:52:19 UTC
Jenkins 2.191 and earlier, LTS 2.176.2 and earlier allowed users to obtain CSRF tokens without an associated web session ID, resulting in CSRF tokens that did not expire and could be used to bypass CSRF protection for the anonymous user.

Reference:
http://www.openwall.com/lists/oss-security/2019/08/28/4

Comment 1 Dhananjay Arunesh 2019-08-30 04:53:08 UTC
External References:

https://jenkins.io/security/advisory/2019-08-28/#SECURITY-1491

Comment 2 Dhananjay Arunesh 2019-08-30 04:54:03 UTC
Created jenkins tracking bugs for this issue:

Affects: fedora-all [bug 1747298]

Comment 3 Sam Fowler 2019-08-30 05:15:39 UTC
"Any security advisory related updates to Jenkins core or the plugins we include in the OpenShift Jenkins master image will only occur in the v3.11 and v4.x branches of this repository."

https://github.com/openshift/jenkins/blob/master/README.md#jenkins-security-advisories-the-master-image-from-this-repository-and-the-oc-binary

Comment 4 errata-xmlrpc 2019-09-20 10:16:15 UTC
This issue has been addressed in the following products:

  Red Hat OpenShift Container Platform 4.1

Via RHSA-2019:2789 https://access.redhat.com/errata/RHSA-2019:2789

Comment 5 Product Security DevOps Team 2019-09-20 12:45:38 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2019-10384

Comment 6 errata-xmlrpc 2019-10-18 01:34:25 UTC
This issue has been addressed in the following products:

  Red Hat OpenShift Container Platform 3.11

Via RHSA-2019:3144 https://access.redhat.com/errata/RHSA-2019:3144


Note You need to log in before you can comment on or make changes to this bug.